ce tag renders badly in production
Closed, ResolvedPublic

Description

See bug report on

about

displayed as

and reproduced on my test server

After applying the patch
https://gerrit.wikimedia.org/r/#/c/274166/
it looks good again

I think this change should be backported as well

since it affects not only the documentation page, but also regular pages such as https://en.wikipedia.org/wiki/Water

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2016, 3:18 PM
Physikerwelt renamed this task from ce tag renders bad in production to ce tag renders badly in production.Mar 6 2016, 3:18 PM
Physikerwelt triaged this task as Unbreak Now! priority.
Physikerwelt added a project: Math.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added subscribers: mobrovac, GWicke.
Physikerwelt updated the task description. (Show Details)Mar 6 2016, 3:36 PM

Change 274166 had a related patch set uploaded (by Physikerwelt):
Prevent modification of math markup after output

https://gerrit.wikimedia.org/r/274166

Physikerwelt updated the task description. (Show Details)Mar 6 2016, 4:23 PM

Change 274166 merged by Mobrovac:
Prevent modification of math markup after output

https://gerrit.wikimedia.org/r/274166

Change 275294 had a related patch set uploaded (by Physikerwelt):
Prevent modification of math markup after output

https://gerrit.wikimedia.org/r/275294

Physikerwelt added a comment.EditedMar 6 2016, 5:19 PM

@mobrovac Thanks for merging I wanted to test in beta

but it does not look very good.
Do you know which restbase server is used there?
Or is there a page similar to https://en.wikipedia.org/api/rest_v1/?doc

Do you know which restbase server is used there?

The labs instance
mathosphere
is used in the beta cluster.
I updated that instance and it now works.
Someone(TM) needs to decide if backporting is adequate or not
https://gerrit.wikimedia.org/r/#/c/275294/

Do you know which restbase server is used there?
Or is there a page similar to https://en.wikipedia.org/api/rest_v1/?doc

Beta has got its own instances of RESTBase and Mathoid unrelated to production. The issue here concretely is that the new Mathoid version hasn't yet been deployed there. For that, we need to update the deploy repo as well, so ideally we should do it 24h before the live deploy to verify it works. I will do so today.

Someone(TM) needs to decide if backporting is adequate or not
https://gerrit.wikimedia.org/r/#/c/275294/

I don't think there is an imminent need to back-port it: it is an edge case and wmf.16 is scheduled to be deployed on all wikis by Thursday, 2016-03-10.

Physikerwelt lowered the priority of this task from Unbreak Now! to High.Mar 7 2016, 4:23 PM
Physikerwelt closed this task as Resolved.Mar 11 2016, 12:44 PM

Change 275294 abandoned by Physikerwelt:
Prevent modification of math markup after output

https://gerrit.wikimedia.org/r/275294